Bug 635951 - kernel-kdump-debuginfo rpm does not contain debug symbols for s390 [rhel-6.0.z]
Summary: kernel-kdump-debuginfo rpm does not contain debug symbols for s390 [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On: 627741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-21 06:21 UTC by RHEL Program Management
Modified: 2011-01-18 07:09 UTC (History)
15 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
The zfcpdump (kdump) kernel on IBM System z could not be debugged using the dump analysis tool crash, because the vmlinux file in the kernel-kdump-debuginfo RPM did not contain DWARF debug information. With this update, the CONFIG_DEBUG_KERNEL parameter is set to yes and the needed debug information is provided.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 67431 0 None None None Never
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-21 06:21:35 UTC
This bug has been copied from bug #627741 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 IBM Bug Proxy 2010-10-14 13:40:40 UTC
------- Comment From mgrf@de.ibm.com 2010-10-14 09:35 EDT-------
Hello Red Hat,
is this accepted for R6.0.z.stream ?

Comment 3 Frantisek Hrbata 2010-10-14 14:25:28 UTC
in kernel-2.6.32-71.4.1.el6

Comment 5 Chao Ye 2010-10-15 02:38:43 UTC
Verified with kernel-2.6.32-71.4.1.el6:
===============================================================================
[root@ibm-z10-11 ~]# rpm -q kernel kernel-kdump-debuginfo kernel-firmware
kernel-2.6.32-71.4.1.el6.s390x
kernel-kdump-debuginfo-2.6.32-71.4.1.el6.s390x
kernel-firmware-2.6.32-71.4.1.el6.noarch
[root@ibm-z10-11 ~]# objdump -h /usr/lib/debug/lib/modules/2.6.32-71.4.1.el6.s390x.kdump/vmlinux 

/usr/lib/debug/lib/modules/2.6.32-71.4.1.el6.s390x.kdump/vmlinux:     file format elf64-s390

Sections:
Idx Name          Size      VMA               LMA               File off  Algn
  0 .text         0038d55c  0000000000000000  0000000000000000  00001000  2**7
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
  1 .notes        00000024  000000000038d55c  000000000038d55c  0038e55c  2**2
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
  2 .rodata       000cce64  000000000038e000  000000000038e000  0038f000  2**8
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  3 .eh_frame     000bf6b0  000000000045ae68  000000000045ae68  0045be68  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  4 __bug_table   0000a788  000000000051a518  000000000051a518  0051b518  2**0
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  5 __ksymtab     00007ed0  0000000000524ca0  0000000000524ca0  00525ca0  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  6 __ksymtab_gpl 00003490  000000000052cb70  000000000052cb70  0052db70  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  7 __kcrctab     00003f68  0000000000530000  0000000000530000  00531000  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  8 __kcrctab_gpl 00001a48  0000000000533f68  0000000000533f68  00534f68  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  9 __ksymtab_strings 0000c5a7  00000000005359b0  00000000005359b0  005369b0  2**0
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 10 __param       000010a8  0000000000541f58  0000000000541f58  00542f58  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 11 __ex_table    00000a60  0000000000600000  0000000000600000  00544000  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 12 .data         0003f080  0000000000601000  0000000000601000  00545000  2**12
                  CONTENTS, ALLOC, LOAD, DATA
 13 .init.text    00023560  0000000000641000  0000000000641000  00585000  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
 14 .exit.text    00000c20  0000000000664560  0000000000664560  005a8560  2**2
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
 15 .init.data    00059cf8  0000000000666000  0000000000666000  005aa000  2**12
                  CONTENTS, ALLOC, LOAD, DATA
 16 .data.percpu  00004000  00000000006c0000  00000000006c0000  00604000  2**8
                  CONTENTS, ALLOC, LOAD, DATA
 17 .bss          000cdabc  00000000006c4000  00000000006c4000  00608000  2**12
                  ALLOC
 18 .comment      0000002d  0000000000000000  0000000000000000  00608000  2**0
                  CONTENTS, READONLY
 19 .debug_aranges 00009480  0000000000000000  0000000000000000  00608030  2**4
                  CONTENTS, READONLY, DEBUGGING
 20 .debug_pubnames 00023a88  0000000000000000  0000000000000000  006114b0  2**0
                  CONTENTS, READONLY, DEBUGGING
 21 .debug_info   01896f64  0000000000000000  0000000000000000  00634f38  2**0
                  CONTENTS, READONLY, DEBUGGING
 22 .debug_abbrev 000a9ba1  0000000000000000  0000000000000000  01ecbe9c  2**0
                  CONTENTS, READONLY, DEBUGGING
 23 .debug_line   00186d1c  0000000000000000  0000000000000000  01f75a3d  2**0
                  CONTENTS, READONLY, DEBUGGING
 24 .debug_frame  000c28d8  0000000000000000  0000000000000000  020fc760  2**3
                  CONTENTS, READONLY, DEBUGGING
 25 .debug_str    000ce7f0  0000000000000000  0000000000000000  021bf038  2**0
                  CONTENTS, READONLY, DEBUGGING
 26 .debug_loc    0088f649  0000000000000000  0000000000000000  0228d828  2**0
                  CONTENTS, READONLY, DEBUGGING
 27 .debug_pubtypes 0025f0f1  0000000000000000  0000000000000000  02b1ce71  2**0
                  CONTENTS, READONLY, DEBUGGING
 28 .debug_ranges 0021d0c0  0000000000000000  0000000000000000  02d7bf70  2**4
                  CONTENTS, READONLY, DEBUGGING


Change status to VERIFIED.

Comment 6 Chao Ye 2010-10-20 07:37:08 UTC
Tested with kernel-kdump-debuginfo-2.6.32-71.5.1:
======================================================
[root@ibm-z10-03 ~]# rpm -q kernel kernel-kdump-debuginfo
kernel-2.6.32-71.5.1.el6.s390x
kernel-kdump-debuginfo-2.6.32-71.5.1.el6.s390x
[root@ibm-z10-03 ~]# objdump -h /usr/lib/debug/lib/modules/2.6.32-71.5.1.el6.s390x.kdump/vmlinux 

/usr/lib/debug/lib/modules/2.6.32-71.5.1.el6.s390x.kdump/vmlinux:     file format elf64-s390

Sections:
Idx Name          Size      VMA               LMA               File off  Algn
  0 .text         0038d684  0000000000000000  0000000000000000  00001000  2**7
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
  1 .notes        00000024  000000000038d684  000000000038d684  0038e684  2**2
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
  2 .rodata       000cce64  000000000038e000  000000000038e000  0038f000  2**8
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  3 .eh_frame     000bf6b8  000000000045ae68  000000000045ae68  0045be68  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  4 __bug_table   0000a788  000000000051a520  000000000051a520  0051b520  2**0
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  5 __ksymtab     00007ed0  0000000000524ca8  0000000000524ca8  00525ca8  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  6 __ksymtab_gpl 00003490  000000000052cb78  000000000052cb78  0052db78  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  7 __kcrctab     00003f68  0000000000530008  0000000000530008  00531008  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  8 __kcrctab_gpl 00001a48  0000000000533f70  0000000000533f70  00534f70  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
  9 __ksymtab_strings 0000c5a7  00000000005359b8  00000000005359b8  005369b8  2**0
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 10 __param       000010a0  0000000000541f60  0000000000541f60  00542f60  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 11 __ex_table    00000a60  0000000000600000  0000000000600000  00544000  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, DATA
 12 .data         0003f080  0000000000601000  0000000000601000  00545000  2**12
                  CONTENTS, ALLOC, LOAD, DATA
 13 .init.text    00023558  0000000000641000  0000000000641000  00585000  2**3
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
 14 .exit.text    00000c20  0000000000664558  0000000000664558  005a8558  2**2
                  CONTENTS, ALLOC, LOAD, READONLY, CODE
 15 .init.data    00059d98  0000000000666000  0000000000666000  005aa000  2**12
                  CONTENTS, ALLOC, LOAD, DATA
 16 .data.percpu  00004000  00000000006c0000  00000000006c0000  00604000  2**8
                  CONTENTS, ALLOC, LOAD, DATA
 17 .bss          000cdabc  00000000006c4000  00000000006c4000  00608000  2**12
                  ALLOC
 18 .comment      0000002d  0000000000000000  0000000000000000  00608000  2**0
                  CONTENTS, READONLY
 19 .debug_aranges 00009480  0000000000000000  0000000000000000  00608030  2**4
                  CONTENTS, READONLY, DEBUGGING
 20 .debug_pubnames 00023a88  0000000000000000  0000000000000000  006114b0  2**0
                  CONTENTS, READONLY, DEBUGGING
 21 .debug_info   018972e9  0000000000000000  0000000000000000  00634f38  2**0
                  CONTENTS, READONLY, DEBUGGING
 22 .debug_abbrev 000a9b6e  0000000000000000  0000000000000000  01ecc221  2**0
                  CONTENTS, READONLY, DEBUGGING
 23 .debug_line   00186d8f  0000000000000000  0000000000000000  01f75d8f  2**0
                  CONTENTS, READONLY, DEBUGGING
 24 .debug_frame  000c28e0  0000000000000000  0000000000000000  020fcb20  2**3
                  CONTENTS, READONLY, DEBUGGING
 25 .debug_str    000ce81d  0000000000000000  0000000000000000  021bf400  2**0
                  CONTENTS, READONLY, DEBUGGING
 26 .debug_loc    00890add  0000000000000000  0000000000000000  0228dc1d  2**0
                  CONTENTS, READONLY, DEBUGGING
 27 .debug_pubtypes 0025f0f1  0000000000000000  0000000000000000  02b1e6fa  2**0
                  CONTENTS, READONLY, DEBUGGING
 28 .debug_ranges 0021d190  0000000000000000  0000000000000000  02d7d7f0  2**4
                  CONTENTS, READONLY, DEBUGGING

Comment 8 errata-xmlrpc 2010-11-10 19:10:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 9 Martin Prpič 2010-11-11 11:52:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The zfcpdump (kdump) kernel on IBM System z could not be debugged using the dump analysis tool crash, because the vmlinux file in the kernel-kdump-debuginfo RPM did not contain DWARF debug information. With this update, the CONFIG_DEBUG_KERNEL parameter is set to yes and the needed debug information is provided.


Note You need to log in before you can comment on or make changes to this bug.